## gitlab 11.5.6+dfsg

=== debian/changelog ===
gitlab (11.5.6+dfsg-1) unstable; urgency=high

  * New upstream version 11.5.6+dfsg (Closes: #918086) (Fixes: CVE-2018-20488,
    CVE-2018-20489, CVE-2018-20490, CVE-2018-20491, CVE-2018-20492,
    CVE-2018-20493, CVE-2018-20494, CVE-2018-20495, CVE-2018-20496,
    CVE-2018-20497, CVE-2018-20498, CVE-2018-20499, CVE-2018-20500,
    CVE-2018-20501, CVE-2018-20507)
  * Bump Standards-Version to 4.3.0

 -- Sruthi Chandran <srud@disroot.org>  Thu, 03 Jan 2019 12:56:20 +0530

gitlab (11.5.5+dfsg-1) unstable; urgency=high

  [ Pirate Praveen ]
  * Restart gitlab before checks in postinst (fixes failures in some checks)
  * Explicitly call /usr/bin/bundle to avoid gem installed bundler
  * Move gitlab-rake to /usr/sbin (depends on /sbin/runuser)
  * Remove optional bullet dependency from Gemfile
  * Add Gemfile.autopkgtest to specify test only dependencies
  * Install test only dependencies from rubygems.org for autopkgtest
  * Drop autopkgtest dependencies installed from rubygems.org
  * Relax dependency on rspec-rails
  * Add golang-any as autopkgtest dependency (to build gitlab-shell)
  * Add gitaly: client_path to gitlab.yml

  [ Sruthi Chandran ]
  * New upstream version 11.5.5+dfsg (Fixes: CVE-2018-20229)
  * Add myself to uploaders

 -- Sruthi Chandran <srud@disroot.org>  Fri, 21 Dec 2018 20:27:36 +0530

gitlab (11.5.4+dfsg-1) unstable; urgency=medium

  * New upstream version 11.5.4+dfsg (Fixes: CVE-2018-20144)
  * Add a note about reusing existing system users for Gitlab instance
    (Closes: #916243)
  * Add an example fqdn in debconf template (Closes: #916306)
  * Update minimum version of ruby-nokogiri to 1.8.4
  * Look for changes in /usr/share/rubygems-integration as well for triggering
    Gemfile.lock refresh
  * Remove world write permissions of .yarn-metadata.json files
    (Closes: #915860)
  * Restart gitaly before gitlab:check in postinst

 -- Pirate Praveen <praveen@debian.org>  Sat, 15 Dec 2018 14:43:41 +0530

gitlab (11.5.3+dfsg-1) experimental; urgency=medium

  * New upstream version 11.5.3+dfsg
  * Only gitlab binary needs to be in contrib (Closes: #915759)
  * Tighten dependency on ruby-octokit
  * Set minimum version of ruby-sass to 3.5
  * Refresh patches
  * Update dependencies

 -- Pirate Praveen <praveen@debian.org>  Thu, 13 Dec 2018 14:57:24 +0530
