=== debian/tests/control ===
Tests: spec
Depends: @, 
  sudo,
  gem2deb-test-runner,
# For building native gems
  ruby-rspec,
  ruby-dev,
  gcc,
  libc6-dev,
  ruby-sqlite3,
# For building gitlab-shell
  golang-any,
  phantomjs
Restrictions: needs-root
