## gitlab 11.8.10+dfsg

=== debian/changelog ===
gitlab (11.8.10+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release.
  * Remove unwanted lintian-overrides. [ 26a2fcc3]

 -- Abhijith PA <abhijith@debian.org>  Thu, 30 May 2019 16:15:39 +0530

gitlab (11.8.9+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 11.8.9 (Fixes: CVE-2019-11544, CVE-2019-11546,
    CVE-2019-11547, CVE-2019-11548, CVE-2019-11549) (Closes: #928221)
  * Update d/patches/*

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Sat, 04 May 2019 01:20:45 +0530

gitlab (11.8.6+dfsg-1) unstable; urgency=medium

  * Team upload
  * Update upstream-file-list with new directory ee/
  * New upstream version 11.8.6 (Fixes: CVE-2018-5158, CVE-2019-10109,
    CVE-2019-10110, CVE-2019-10111, CVE-2019-10113, CVE-2019-10115,
    CVE-2019-10116, CVE-2019-10640)
  * Use libjs-pdf instead of embedded pdf.js
  * Add gitlab.examples

 -- Abhijith PA <abhijith@debian.org>  Wed, 03 Apr 2019 18:19:49 +0530

gitlab (11.8.3-1) unstable; urgency=high

  [ Pirate Praveen ]
  * Set minimum version of git to 2.18

  [ Sruthi Chandran ]
  * New upstream version 11.8.3 (Closes: #925196) (Fixes: CVE-2019-9866)

 -- Sruthi Chandran <srud@disroot.org>  Fri, 22 Mar 2019 00:19:33 +0530

gitlab (11.8.2-3) unstable; urgency=medium

  * Add link to gitlab page on Debian wiki in README.Debian
  * Set minimum version of ruby to 1:2.5~ and add conflict with libruby2.3
    (to support smooth upgrading from stretch-backports)
  * Tighten dependency on ruby-lograge
  * Remove obsolete config files
  * Drop patch which expected rails 5.2
  * Handle migration from rails 4.2

 -- Pirate Praveen <praveen@debian.org>  Sun, 17 Mar 2019 18:34:25 +0530

gitlab (11.8.2-2) unstable; urgency=medium

  [ Sruthi Chandran ]
  * Refactor tmpfiles.d/ conf files
  * Embed omniauth-google-oauth2 and jwt-2.1.0 (as we are in freeze)
  * Relax nokogiri

  [ Pirate Praveen ]
  * Remove dependency on npm and use yarnpkg directly instead
  * Tighten dependency on gitaly and gitlab-shell
  * Move gitlab-shell dependency to gitlab-common

 -- Pirate Praveen <praveen@debian.org>  Fri, 15 Mar 2019 22:12:52 +0530

gitlab (11.8.2-1) experimental; urgency=medium

  * New upstream version 11.8.2 (Closes: #924447) (Fixes: CVE-2019-9170,
    CVE-2019-9171, CVE-2019-9172, CVE-2019-9174, CVE-2019-9175, CVE-2019-9176,
    CVE-2019-9178, CVE-2019-9179, CVE-2019-9217, CVE-2019-9219, CVE-2019-9220,
    CVE-2019-9221, CVE-2019-9222, CVE-2019-9223, CVE-2019-9224, CVE-2019-9225,
    CVE-2019-9485)
  * Refresh patches and remove 0120-remove-tracing-group.patch
  * Embed opentracing, jaeger-client and thrift

 -- Sruthi Chandran <srud@disroot.org>  Thu, 14 Mar 2019 17:09:17 +0530

gitlab (11.8.0-1) experimental; urgency=medium

  [ Dmitry Smirnov ]
  * Moved list of files from Files-Excluded to "clean" file to avoid error
    in `mk-origtargz`.

  [ Sruthi Chandran ]
  * New upstream version 11.8.0
  * Refresh patches
  * Update script in debian/upstream-file-count-check.sh to identify
    new/removed files

  [ Pirate Praveen ]
  * Refresh patches with fuzz
  * Update dependency on ruby-rack, ruby-pg, ruby-fog*, ruby-truncato,
    ruby-nokogiri, ruby-acts-as-taggable-on, ruby-kubeclient,
    ruby-gitaly-proto, ruby-omniauth-azure-oauth2, ruby-google-api-client,
    ruby-sidekiq-cron, ruby-oauth2, ruby-googleauth
  * Remove tracing group from Gemfile
  * Replace rails 5.2 patch with rails 5.1 patch from upstream
  * Remove monkey patch not needed with rails 5.2
  * Embed rails 5.1 temporarily till gitlab supports rails 5.2
  * Create target file of secrets.yml symbolic link
  * Set GEM_PATH for using embedded gems
  * Tighten dependency on libjs-uglify

 -- Pirate Praveen <praveen@debian.org>  Tue, 12 Mar 2019 21:29:55 +0530

gitlab (11.5.10+dfsg-1) unstable; urgency=medium

  * New upstream version 11.5.10+dfsg (Closes: #921059) (Fixes: CVE-2019-6781,
    CVE-2019-6782, CVE-2019-6783, CVE-2019-6784, CVE-2019-6785, CVE-2019-6786,
    CVE-2019-6787, CVE-2019-6788, CVE-2019-6789, CVE-2019-6790, CVE-2019-6791,
    CVE-2019-6792, CVE-2019-6794, CVE-2019-6795, CVE-2019-6796, CVE-2019-6960,
    CVE-2019-6995, CVE-2019-6997, CVE-2019-7155, CVE-2019-7176)
  * Refresh patches
  * Add ruby-zip as dependency
  * Relax dependency on ruby-carrierwave

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 Feb 2019 18:14:16 +0530

gitlab (11.5.7+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 11.5.7+dfsg
  * Fix CVE-2019-6240: Arbitrary repo read in Gitlab project import
    (Closes: #919822)

 -- Abhijith PA <abhijith@debian.org>  Sun, 20 Jan 2019 21:37:01 +0530

gitlab (11.6.0+dfsg-1) experimental; urgency=medium

  * New upstream version 11.6.0+dfsg
  * Refresh patches
  * Remove 0650-fix-8-to-10-migration.patch
  * Don't install .eslintrc.yml
  * Add patch to relax rails in Gemfile
  * Relax gitlab-sidekiq-fetcher
  * Add patch 0680-rails-5_2.patch to make it work with rails5.2
  * Remove config/initializers/active_record_verbose_query_logs.rb
  * Set path for yarn

 -- Sruthi Chandran <srud@disroot.org>  Sun, 23 Dec 2018 12:16:18 +0530
