=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${shlibs:Depends}, ${misc:Depends},
  gitlab-common (= ${source:Version}),
- ruby | ruby-interpreter,
+ ruby (>= 1:2.5~),
  lsb-base (>= 3.0-6),
  rake (>= 12.3.0~),
  bundler,
@@ -34,21 +34,17 @@
  openssh-client,
  bzip2,
  ucf,
- gitlab-shell (>= 8.4.1~),
- gitlab-workhorse (>= 7.1.3~),
- ruby-rails (>= 2:4.2.10~),
- ruby-rails (<< 2:5),
-   ruby-rack-test (>= 0.7.0~),
-   ruby-rails-dom-testing (>= 1.0.6-2~),
-   ruby-arel (>= 6.0.4~),
+ gitlab-workhorse (>= 7.6~),
+ ruby-rails (>= 2:5.2.0~),
  ruby-rails-deprecated-sanitizer (>= 1.0.3~),
+ ruby-nakayoshi-fork (>= 0.0.4~),
  ruby-responders (>= 2.0~),
  ruby-sprockets (>= 3.7~),
- ruby-default-value-for (>= 3~),
+ ruby-default-value-for (>= 3.1.1~),
 #ruby-mysql2 | ruby-pg,
- ruby-pg (>= 0.19~),
+ ruby-pg (>= 1.1~),
  ruby-rugged (>= 0.27~),
- ruby-grape-path-helpers (>= 1.0.6~),
+ ruby-grape-path-helpers (>= 1.1~),
  ruby-faraday (>= 0.12~),
 # Authentication libraries
  ruby-devise (>= 4.4.3~),
@@ -56,12 +52,12 @@
  ruby-doorkeeper-openid-connect (>= 1.5~),
  ruby-omniauth (>= 1.8~),
  ruby-omniauth-auth0 (>= 2.0~),
- ruby-omniauth-azure-oauth2 (>= 0.0.9~),
+ ruby-omniauth-azure-oauth2 (>= 0.0.10~),
  ruby-omniauth-cas3 (>= 1.1.4~),
  ruby-omniauth-facebook (>= 4.0~),
  ruby-omniauth-github (>= 1.3~),
  ruby-omniauth-gitlab (>= 1.0.2~),
- ruby-omniauth-google-oauth2 (>= 0.5.3~),
+# ruby-omniauth-google-oauth2 (>= 0.6~),
  ruby-omniauth-kerberos (>= 0.3.0-3~),
  ruby-omniauth-oauth2-generic (>= 0.2.2~),
  ruby-omniauth-saml (>= 1.10~),
@@ -70,7 +66,7 @@
  ruby-omniauth-crowd (>= 2.2~),
  ruby-omniauth-authentiq (>= 0.3.3~),
  ruby-rack-oauth2 (>= 1.2.1~),
- ruby-jwt (>= 1.5.6~),
+# ruby-jwt (>= 2.1~),
 # Spam and anti-bot protection
  ruby-recaptcha (>= 4.11~),
  ruby-akismet (>= 2.0~),
@@ -81,10 +77,11 @@
  ruby-u2f (>= 0.2.1~),
 # GitLab Pages
  ruby-validates-hostname (>= 1.0.6~),
+ ruby-zip (>= 1.2.2),
 # Browser detection
  ruby-browser (>= 2.5~),
 # GPG
- ruby-gpgme,
+ ruby-gpgme (>= 2.0.18~),
 # LDAP Auth
  ruby-omniauth-ldap (>= 2.0.4~),
    ruby-ntlm (>= 0.6.1~),
@@ -103,19 +100,20 @@
 # HAML
  ruby-hamlit (>= 2.8.8~),
 # Files attachments
- ruby-carrierwave (>= 1.2.3~),
+ ruby-carrierwave (>= 1.3~),
  ruby-mini-magick,
 # for backups
- ruby-fog-aws (>= 2.0.1~),
- ruby-fog-core (>= 1.44~),
+ ruby-fog-aws (>= 3.3~),
+ ruby-fog-core (>= 2.1~),
    ruby-excon (>= 0.60~),
- ruby-fog-google (>= 1.7.1~),
- ruby-fog-local (>= 0.3~),
- ruby-fog-openstack (>= 0.1~),
+ ruby-fog-google (>= 1.8~),
+ ruby-fog-local (>= 0.6~),
+ ruby-fog-openstack (>= 1.0~),
  ruby-fog-rackspace (>= 0.1.1~),
- ruby-fog-aliyun (>= 0.2.0~),
+ ruby-fog-aliyun (>= 0.3~),
 # for Google storage
- ruby-google-api-client (>= 0.23~),
+ ruby-google-api-client (>= 0.28~),
+   ruby-googleauth (>= 0.8~),
 # for aws storage
  ruby-unf (>= 0.1.4-2~),
    ruby-unf-ext (>= 0.0.7.4),
@@ -132,31 +130,36 @@
  ruby-org (>= 0.9.12-2~),
  ruby-creole (>= 0.5.0~),
  ruby-wikicloth (>= 0.8.1~),
- asciidoctor (>= 1.5.6~),
+ asciidoctor (>= 1.5.8~),
  ruby-asciidoctor-plantuml (>= 0.0.8~),
  ruby-rouge (>= 3.1~),
- ruby-truncato (>= 0.7.9~),
+ ruby-truncato (>= 0.7.11~),
  ruby-bootstrap-form (>= 2.7~),
- ruby-nokogiri (>= 1.8.4~),
+ ruby-nokogiri (>= 1.10~),
  ruby-escape-utils (>= 1.2.1~),
 # Calendar rendering
  ruby-icalendar,
 # Diffs
  ruby-diffy (>= 3.1~),
 # Application server
+# The 2.0.6 version of rack requires monkeypatch to be present in
+# `config.ru`. This can be removed once a new update for Rack
+# is available that contains https://github.com/rack/rack/pull/1201
+ ruby-rack (>= 2.0.6~),
  unicorn (>= 5.4~),
    ruby-kgio (>= 2.11.2~),
  ruby-unicorn-worker-killer (>= 0.4.4~),
 # State machine
  ruby-state-machines-activerecord (>= 0.5.1~),
 # Issue tags
- ruby-acts-as-taggable-on (>= 5.0~),
+ ruby-acts-as-taggable-on (>= 6.0~),
 # Background jobs
  ruby-sidekiq (>= 5.2.1~),
- ruby-sidekiq-cron (>= 0.6~),
+ ruby-sidekiq-cron (>= 1.0~),
  ruby-redis-namespace (>= 1.6~),
+ ruby-gitlab-sidekiq-fetcher (>= 0.4.0~),
 # Cron Parser
- ruby-rufus-scheduler (>= 3.4~),
+ ruby-fugit (>= 1.1~),
 # HTTP requests
  ruby-httparty (>= 0.15.6~),
 # Colored output to console
@@ -178,6 +181,8 @@
 # Redis
  ruby-redis (>= 3.2~),
  ruby-connection-pool (>= 2.0~),
+# Discord integration
+ ruby-discordrb-webhooks (>= 3.3~),
 # HipChat integration
  ruby-hipchat (>= 1.5~),
 # JIRA integration
@@ -190,11 +195,11 @@
 # Hangouts Chat integration
  ruby-hangouts-chat (>= 0.0.5),
 # Asana integration
- ruby-asana (>= 0.6~),
+ ruby-asana (>= 0.8.1~),
 # FogBugz integration
  ruby-fogbugz (>= 0.2.1-3~),
 # Kubernetes integration
- ruby-kubeclient (>= 3.1~),
+ ruby-kubeclient (>= 4.2.2~),
 # Sanitize user input
  ruby-sanitize (>= 4.6.5~),
  ruby-babosa (>= 1.0.2~),
@@ -208,6 +213,8 @@
  ruby-ace-rails-ap (>= 4.1~),
 # Detect and convert string character encoding
  ruby-charlock-holmes (>= 0.7.5~),
+# Detect mime content type from content
+ ruby-mimemagic (>= 0.3.2~),
 # Faster blank
  ruby-fast-blank,
 # Parse time & duration
@@ -216,13 +223,14 @@
 #
  ruby-webpack-rails (>= 0.9.10~),
 # Many node modules are still in NEW, some are yet to be packaged
-# so we use npm to downlod those and hence gitlab is in contrib
- npm,
+# so we use yarn to downlod those and hence gitlab is in contrib
+ yarnpkg,
  ruby-rack-proxy (>= 0.6~),
 #
  ruby-sass-rails (>= 5.0.6~),
  ruby-sass (>= 3.5~),
  ruby-uglifier (>= 2.7.2~),
+   libjs-uglify (<< 3.0~),
 #
  ruby-addressable (>= 2.5.2~),
  ruby-font-awesome-rails (>= 4.7~),
@@ -239,23 +247,22 @@
  ruby-premailer-rails (>= 1.9.7~),
 # I18n
  ruby-parser (>= 3.8.2~),
- ruby-rails-i18n (>= 4.0.9~),
+ ruby-rails-i18n (>= 5.1~),
  ruby-gettext-i18n-rails (>= 1.8~),
  ruby-gettext-i18n-rails-js (>= 1.3~),
 #
- ruby-batch-loader (>= 1.2.1~),
+ ruby-batch-loader (>= 1.2.2~),
 # Perf bar
  ruby-peek (>= 1.0.1~),
  ruby-peek-gc (>= 0.0.2~),
  ruby-peek-pg (>= 1.3~),
  ruby-peek-rblineprof (>= 0.2.0~),
  ruby-peek-redis (>= 1.2~),
- ruby-gitlab-sidekiq-fetcher,
 # Metrics
  ruby-method-source (>= 0.8.2-2~),
  ruby-influxdb (>= 0.2~),
 # Prometheus
- ruby-prometheus-client-mmap (>= 0.9.3~),
+ ruby-prometheus-client-mmap (>= 0.9.4~),
  ruby-raindrops (>= 0.18~),
 #
  ruby-octokit (>= 4.9~),
@@ -268,7 +275,7 @@
  ruby-prof (>= 0.17~),
  ruby-rbtrace (>= 0.4~),
 # OAuth
- ruby-oauth2 (>= 1.4~),
+ ruby-oauth2 (>= 1.4.1~),
 # Health check
  ruby-health-check (>= 2.6~),
 # System information
@@ -281,7 +288,7 @@
  ruby-ed25519 (>= 1.2~),
  ruby-bcrypt-pbkdf (>= 1.0~),
 # Gitaly GRPC client
- ruby-gitaly-proto (>= 0.123.0~),
+ ruby-gitaly-proto (>= 1.10~),
  ruby-grpc (>= 1.15~),
  ruby-google-protobuf (>= 3.6~),
 #
@@ -291,13 +298,13 @@
  ruby-flipper-active-record (>= 0.13~),
  ruby-flipper-active-support-cache-store (>= 0.13~),
 # Structured logging
- ruby-lograge (>= 0.5~),
+ ruby-lograge (>= 0.10~),
  ruby-grape-logging (>= 1.7~),
 # Vendored js files
 # Keeping this to ease backporting as it is in contrib anyway
 # libjs-jquery-atwho,
 # libjs-jquery-caret.js,
-# libjs-pdf,
+ libjs-pdf,
 # libjs-xterm,
 # libjs-jquery-nicescroll,
 # libjs-clipboard,
@@ -341,7 +348,8 @@
 # node-url-loader,
 # node-katex
 Recommends: certbot,
- gitaly (>= 0.129.0~)
+ gitaly (>= 1.20~)
+Conflicts: libruby2.3
 Description: git powered software platform to collaborate on code (non-omnibus)
  gitlab provides web based interface to host source code and track issues.
  It allows anyone for fork a repository and send merge requests. Code review
@@ -351,7 +359,7 @@
  Unlike the official package from GitLab Inc., this package does not use
  omnibus.
  .
- Note: Currently this package is in contrib because it uses npm to install
+ Note: Currently this package is in contrib because it uses yarn to install
  front end dependencies.
 
 Package: gitlab-common
@@ -359,8 +367,9 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
  ruby | ruby-interpreter,
  adduser (>= 3.34~),
- git (>= 1:2.7.3~),
- ucf
+ git (>= 1:2.18~),
+ ucf,
+ gitlab-shell (>= 8.4.4~)
 Description: git powered software platform to collaborate on code (common)
  gitlab provides web based interface to host source code and track issues.
  It allows anyone for fork a repository and send merge requests. Code review
