## gitlab 11.10.8+dfsg

=== debian/changelog ===
gitlab (11.10.8+dfsg-1) experimental; urgency=medium

  [ Pirate Praveen ]
  * New upstream security release 11.10.8+dfsg (Fixes: CVE-2019-13001,
    CVE-2019-13002, CVE-2019-13003, CVE-2019-13004, CVE-2019-13005,
    CVE-2019-13006, CVE-2019-13007, CVE-2019-13009,CVE-2019-13010,
    CVE-2019-13011, CVE-2019-13121)
  * Refresh patches
  * Use packaged versions of node-autosize, axios, brace-expansion, chart.js,
    core-js, css-loader, d3-* sub modules, fuzzaldrin-plus, glob, jed, jquery,
    jquery-ujs, jquery.waitforimages, js-cookie, jszip, jszip-utils, mousetrap,
    popper.js, raven-js, bootstrap, three-orbit-control, three-stl-loader,
    timeago.js, dateformat, webpack-stats-plugin and vue-resource
  * Use packaged pikaday and update path in application.scss (Closes: #930529)

 -- Pirate Praveen <praveen@debian.org>  Sun, 07 Jul 2019 13:14:52 +0530

gitlab (11.10.5+dfsg-1) experimental; urgency=medium

  [ Pirate Praveen ]
  * New upstream security release 11.10.5+dfsg (Closes: #930004)
    (Fixes: CVE-2019-12428, CVE-2019-12431, CVE-2019-12432, CVE-2019-12433,
    CVE-2019-12434, CVE-2019-12441, CVE-2019-12442, CVE-2019-12443,
    CVE-2019-12444, CVE-2019-12445, CVE-2019-12446)
  * Arrange changelog in chronological order
  * Refresh patches

  [ Abhijith PA ]
  * Update changelog

 -- Pirate Praveen <praveen@debian.org>  Wed, 05 Jun 2019 12:35:18 +0530

gitlab (11.10.4+dfsg-2) experimental; urgency=medium

  * Bump devise to 4.6.2
  * Add patch to bump devise to 4.6.2

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Tue, 21 May 2019 21:07:19 +0530

gitlab (11.10.4+dfsg-1) experimental; urgency=medium

  [ Utkarsh Gupta ]
  * New upstream version 11.10.4+dfsg
  * Update d/changelog
  * Update 0050-relax-stable-libs.patch
  * Refresh d/patches
  * Install graphql-tag via yarnpkg
  * Update d/copyright to exclude pdf.*
  * Add lintian-overrides for false-positive errors
  * Update d/control to update gem versions
  * Do not use --frozen-lockfile with yarnpkg
  * Update d/upstream-file-list
  * Make yarn.lock writable
  * Add myself as an uploader

  [ Abhijith PA ]
  * remove embedded pdf.js and use libjs-pdf

  [ Pirate Praveen ]
  * Remove obsolete configuration files

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Sat, 18 May 2019 01:40:29 +0530
