=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Cédric Boutillier <boutil@debian.org>,
  Pirate Praveen <praveen@debian.org>,
  Balasankar C <balasankarc@autistici.org>,
- Sruthi Chandran <srud@disroot.org>
+ Sruthi Chandran <srud@disroot.org>,
+ Utkarsh Gupta <guptautkarsh2102@gmail.com>
 Build-Depends: debhelper (>= 10~), gem2deb, bc
 Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/ruby-team/gitlab.git
@@ -34,7 +35,7 @@
  openssh-client,
  bzip2,
  ucf,
- gitlab-workhorse (>= 7.6~),
+ gitlab-workhorse (>= 8.5.2~),
  ruby-rails (>= 2:5.2.0~),
  ruby-rails-deprecated-sanitizer (>= 1.0.3~),
  ruby-nakayoshi-fork (>= 0.0.4~),
@@ -43,11 +44,11 @@
  ruby-default-value-for (>= 3.1.1~),
 #ruby-mysql2 | ruby-pg,
  ruby-pg (>= 1.1~),
- ruby-rugged (>= 0.27~),
+ ruby-rugged (>= 0.28~),
  ruby-grape-path-helpers (>= 1.1~),
  ruby-faraday (>= 0.12~),
 # Authentication libraries
- ruby-devise (>= 4.4.3~),
+ ruby-devise (>= 4.6.2~),
  ruby-doorkeeper (>= 4.3~),
  ruby-doorkeeper-openid-connect (>= 1.5~),
  ruby-omniauth (>= 1.8~),
@@ -65,7 +66,7 @@
  ruby-omniauth-twitter (>= 1.4~),
  ruby-omniauth-crowd (>= 2.2~),
  ruby-omniauth-authentiq (>= 0.3.3~),
- ruby-rack-oauth2 (>= 1.2.1~),
+ ruby-rack-oauth2 (>= 1.9.3~),
 # ruby-jwt (>= 2.1~),
 # Spam and anti-bot protection
  ruby-recaptcha (>= 4.11~),
@@ -83,7 +84,7 @@
 # GPG
  ruby-gpgme (>= 2.0.18~),
 # LDAP Auth
- ruby-omniauth-ldap (>= 2.0.4~),
+ ruby-omniauth-ldap (>= 2.1.1~),
    ruby-ntlm (>= 0.6.1~),
  ruby-net-ldap (>= 0.16.1~),
 # API
@@ -121,7 +122,7 @@
  ruby-seed-fu (>= 2.3.7~),
 # Markdown and HTML processing
  ruby-html-pipeline (>= 2.8~),
- ruby-task-list (>= 2.0~),
+ ruby-task-list (>= 2.2~),
  ruby-github-markup (>= 1.7~),
  ruby-redcarpet (>= 3.4~),
  ruby-commonmarker (>= 0.17~),
@@ -134,7 +135,7 @@
  ruby-asciidoctor-plantuml (>= 0.0.8~),
  ruby-rouge (>= 3.1~),
  ruby-truncato (>= 0.7.11~),
- ruby-bootstrap-form (>= 2.7~),
+ ruby-bootstrap-form (>= 4.2~),
  ruby-nokogiri (>= 1.10~),
  ruby-escape-utils (>= 1.2.1~),
 # Calendar rendering
@@ -145,7 +146,7 @@
 # The 2.0.6 version of rack requires monkeypatch to be present in
 # `config.ru`. This can be removed once a new update for Rack
 # is available that contains https://github.com/rack/rack/pull/1201
- ruby-rack (>= 2.0.6~),
+ ruby-rack (>= 2.0.7~),
  unicorn (>= 5.4~),
    ruby-kgio (>= 2.11.2~),
  ruby-unicorn-worker-killer (>= 0.4.4~),
@@ -161,7 +162,7 @@
 # Cron Parser
  ruby-fugit (>= 1.1~),
 # HTTP requests
- ruby-httparty (>= 0.15.6~),
+ ruby-httparty (>= 0.16.4~),
 # Colored output to console
  ruby-rainbow (>= 3.0~),
 # Progress bar
@@ -171,7 +172,7 @@
 # Linear-time regex library for untrusted regular expressions
  ruby-re2 (>= 1.1.1~),
 # Misc
- ruby-version-sorter (>= 2.1~),
+ ruby-version-sorter (>= 2.2.4~),
 # Export Ruby Regex to Javascript
  ruby-js-regex (>= 3.1~),
 # User agent parsing
@@ -283,12 +284,12 @@
  ruby-sys-filesystem (>= 1.1.6~),
 # SSH host key support
  ruby-net-ssh (>= 1:5.0~),
- ruby-sshkey (>= 1.9~),
+ ruby-sshkey (>= 2.0~),
 # Required for ED25519 SSH host key support
  ruby-ed25519 (>= 1.2~),
  ruby-bcrypt-pbkdf (>= 1.0~),
 # Gitaly GRPC client
- ruby-gitaly-proto (>= 1.10~),
+ ruby-gitaly-proto (>= 1.22.1~),
  ruby-grpc (>= 1.15~),
  ruby-google-protobuf (>= 3.6~),
 #
@@ -302,53 +303,65 @@
  ruby-grape-logging (>= 1.7~),
 # Vendored js files
 # Keeping this to ease backporting as it is in contrib anyway
-# libjs-jquery-atwho,
-# libjs-jquery-caret.js,
  libjs-pdf,
 # libjs-xterm,
 # libjs-jquery-nicescroll,
-# libjs-clipboard,
-# libjs-chartjs,
 # libjs-graphael,
-# node-lie,
-# node modules - all node packages are stuck in NEW
-# using npm for all to ease backporting as it is in contrib anyway
+# packaged node modules - all node packages are not packaged yet
+ node-autosize (>= 4.0~),
+ node-axios (>= 0.17.1~),
+ node-brace-expansion (>= 1.1.8~),
+ node-bootstrap,
+ node-chart.js (>= 2.7.2~),
+ node-core-js,
+ node-css-loader,
+ node-d3-array,
+ node-d3-axis,
+ node-d3-brush,
+ node-d3-ease,
+ node-d3-scale (>= 1.0.7~),
+ node-d3-selection (>= 1.2~),
+ node-d3-shape,
+ node-d3-time (>= 1.0.8~),
+ node-d3-time-format (>= 2.1.1~),
+ node-d3-transition (>= 1.1.1~),
+ node-dateformat,
+ node-fuzzaldrin-plus (>= 0.5~),
+ node-glob,
+ node-jed,
+ node-jquery (>= 3.2.1~),
+ node-jquery-ujs,
+ node-jquery.waitforimages,
+ node-js-cookie,
+ node-jszip,
+ node-jszip-utils,
+ node-mousetrap,
+ node-pikaday,
+ node-popper.js,
+ node-raven-js,
+ node-three-orbit-controls,
+ node-three-stl-loader,
+ node-timeago.js,
+ node-underscore,
+ node-vue-resource (>= 1.5.1~),
+ node-webpack-stats-plugin,
+# using npm for remaining as it is in contrib
 # node-babel-core,
 # node-babel-eslint,
 # node-babel-loader,
 # node-babel-plugin-transform-define,
 # node-babel-preset-latest,
 # node-babel-preset-stage-2,
-# node-bootstrap-sass,
-# node-core-js,
-# node-d3-array,
-# node-d3-axis,
-# node-d3-brush,
-# node-d3-scale,
-# node-d3-selection,
-# node-d3-shape,
-# node-d3-time,
-# node-d3-time-format,
 # node-debug (>= 3.1.0~),
 # node-exports-loader,
 # node-file-loader,
-# node-glob,
 # node-imports-loader,
-# node-jed,
-# node-jquery,
-# node-js-cookie,
-# node-jszip,
-# node-jszip-utils,
 # node-katex,
 # node-marked,
-# node-mousetrap,
 # node-raw-loader,
-# node-stats-webpack-plugin,
-# node-underscore,
 # node-url-loader,
-# node-katex
 Recommends: certbot,
- gitaly (>= 1.20~)
+ gitaly (>= 1.34.1~)
 Conflicts: libruby2.3
 Description: git powered software platform to collaborate on code (non-omnibus)
  gitlab provides web based interface to host source code and track issues.
@@ -369,7 +382,7 @@
  adduser (>= 3.34~),
  git (>= 1:2.18~),
  ucf,
- gitlab-shell (>= 8.4.4~)
+ gitlab-shell (>= 9.1~)
 Description: git powered software platform to collaborate on code (common)
  gitlab provides web based interface to host source code and track issues.
  It allows anyone for fork a repository and send merge requests. Code review
